Subject: [netconf] Éric Vyncke's No Objection on draft-ietf-netconf-yang-push-22: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Mon, 29 Apr 2019 06:12:42 -0700

Éric Vyncke has entered the following ballot position for
draft-ietf-netconf-yang-push-22: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-netconf-yang-push/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Getting a streaming telemetry for changes in datastore appears quite useful.

Please note that I did not review in depth after the section 4.

Comments
--------

C1) Out of curiosity, it is surprising for a netconf wg document to have 7
errors indicated by the YANG validator. Are they real errors or is the `pyang`
validator incorrect or missing references?

C2) 7 authors... the limit is usually 5 authors max. Can you justify?

C3) section 2. It should be RFC 8174 without citing RFC 2119.

C4) section 3.7, why not forcing a resynch (and a patch-id of 0) rather than
simply rolling explicitly the patch-id to 0. The latter seems to me as prone to
synchronization errors.

Nits
----

N1) unsure why all Cisco Systems authors are not grouped together

N2) "Xpath": should be described (or having a reference) before first use in
section 3.6

N3) a couple of "yang" in lowercase while I believe "YANG" is always written in
uppercase

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 29 Apr 2019 13:20:54 +0000

Please ignore my comment C3, my bad...

-éric

On 29/04/2019, 15:12, "iesg on behalf of Éric Vyncke via Datatracker" <[email-masked] on behalf of [email-masked]> wrote:

    

    
    Comments
    --------

    

    Nits
    ----

---

From: "Alexander Clemm" <[email-masked]>
Date: Tue, 30 Apr 2019 09:33:29 -0700

Hello Eric,

Thank you for your review!  Replies inline, <ALEX>

--- Alex

-----Original Message-----
From: Eric Vyncke (evyncke) <[email-masked]> 
Sent: Monday, April 29, 2019 6:21 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Éric Vyncke's No Objection on draft-ietf-netconf-yang-push-22: (with COMMENT)

-éric

    

    

    
    Comments
    --------

<ALEX> There is a bug in the validator, which has been encountered for a while and which Eric can explain.  
</ALEX>
    
    C2) 7 authors... the limit is usually 5 authors max. Can you justify?
<ALEX> All of the authors have made substantial contributions to the document over the span of several years.  We do believe this is justified and can provide further explanation of each individual author's contributions if needed.  
</ALEX>    

    
<ALEX> We don't believe synchronization errors due to this scenario are an issue.  Note that the rolling back to 0 occurs only once every 4294967295 updates, if no resynch ever occurred prior.  If an application were ever concerned with loss of synchronization, it could also simply request one manually (as opposed to being forced to, which would appear more disruptive than the proposed solution).  
</ALEX>

    Nits
    ----

<ALEX> Over the course of the document, some author affiliations have changed
</ALEX>
    N2) "Xpath": should be described (or having a reference) before first use in
    section 3.6
    
<ALEX> Added the following brief explanation at the first occurrence:  "(XPath is a query language for selecting nodes in an XML document.) " 
</ALEX>
    N3) a couple of "yang" in lowercase while I believe "YANG" is always written in
    uppercase
<ALEX> Updated many of those, except where used e.g. in file names. </ALEX>

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Tue, 30 Apr 2019 16:49:41 +0000

> From: Alexander Clemm, April 30, 2019 12:33 PM
> 
> Hello Eric,
> 
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> On 29/04/2019, 15:12, "iesg on behalf of Éric Vyncke via Datatracker" <iesg-
> [email-masked] on behalf of [email-masked]> wrote:
> 

The YANG validator errors are due to a solved bug in yanglint.   

As Kent discusses in his "draft-ietf-netconf-subscribed-notifications" shepherd writeup, the errors clear with new versions of yanglint.
https://datatracker.ietf.org/doc/draft-ietf-netconf-subscribed-notifications/shepherdwriteup/ 

   [SHEPHERD] `pyang` and `yanglint` were used to validate the YANG module 
   defined in this document.  Note that Datatracker shows YANG validation 
   errors, but the module validates fine on my machine (I'm using yanglint
   0.16.110, whereas DataTracker is using yanglint 0.14.80).

Eric

> <ALEX> All of the authors have made substantial contributions to the document
> over the span of several years.  We do believe this is justified and can provide
> further explanation of each individual author's contributions if needed.
> </ALEX>
> 
> <ALEX> We don't believe synchronization errors due to this scenario are an
> issue.  Note that the rolling back to 0 occurs only once every 4294967295
> updates, if no resynch ever occurred prior.  If an application were ever
> concerned with loss of synchronization, it could also simply request one
> manually (as opposed to being forced to, which would appear more disruptive
> than the proposed solution).
> </ALEX>
> 
>     Nits
>     ----
> 
> <ALEX> Over the course of the document, some author affiliations have
> changed </ALEX>
> <ALEX> Added the following brief explanation at the first occurrence:  "(XPath is
> a query language for selecting nodes in an XML document.) "
> </ALEX>